ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Fingerprint

Contents

- Re-exported from GHC.Fingerprint

Synopsis

- readHexFingerprint :: String -> Fingerprint
- fingerprintByteString :: ByteString -> Fingerprint
- data Fingerprint :: * = Fingerprint !Word64 !Word64
- fingerprint0 :: Fingerprint
- fingerprintFingerprints :: [Fingerprint] -> Fingerprint
- fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint
- fingerprintString :: String -> Fingerprint
- getFileHash :: FilePath -> IO Fingerprint

# Documentation

readHexFingerprint :: String -> Fingerprint #

fingerprintByteString :: ByteString -> Fingerprint #

# Re-exported from GHC.Fingerprint

data Fingerprint :: * Source #

Constructors

Fingerprint !Word64 !Word64 |

Instances

Eq Fingerprint |
Methods (==) :: Fingerprint -> Fingerprint -> Bool # (/=) :: Fingerprint -> Fingerprint -> Bool #
Ord Fingerprint |
Methods compare :: Fingerprint -> Fingerprint -> Ordering # (<) :: Fingerprint -> Fingerprint -> Bool # (<=) :: Fingerprint -> Fingerprint -> Bool # (>) :: Fingerprint -> Fingerprint -> Bool # (>=) :: Fingerprint -> Fingerprint -> Bool # max :: Fingerprint -> Fingerprint -> Fingerprint # min :: Fingerprint -> Fingerprint -> Fingerprint #
Show Fingerprint | Since: 4.7.0.0
Methods showsPrec :: Int -> Fingerprint -> ShowS Source # show :: Fingerprint -> String Source # showList :: [Fingerprint] -> ShowS Source #
Storable Fingerprint | Since: 4.4.0.0

Methods

sizeOf :: Fingerprint -> Int Source #

alignment :: Fingerprint -> Int Source #

peekElemOff :: Ptr Fingerprint -> Int -> IO Fingerprint Source #

pokeElemOff :: Ptr Fingerprint -> Int -> Fingerprint -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO Fingerprint Source #

pokeByteOff :: Ptr b -> Int -> Fingerprint -> IO () Source #

peek :: Ptr Fingerprint -> IO Fingerprint Source #

poke :: Ptr Fingerprint -> Fingerprint -> IO () Source #

NFData Fingerprint | Since: 1.4.0.0
Methods rnf :: Fingerprint -> () Source #
Binary Fingerprint | Since: 0.7.6.0
Methods put :: Fingerprint -> Put Source # get :: Get Fingerprint Source # putList :: [Fingerprint] -> Put Source #
Outputable Fingerprint # |
Methods ppr :: Fingerprint -> SDoc # pprPrec :: Rational -> Fingerprint -> SDoc #
Binary Fingerprint # |
Methods put_ :: BinHandle -> Fingerprint -> IO () # put :: BinHandle -> Fingerprint -> IO (Bin * Fingerprint) # get :: BinHandle -> IO Fingerprint #

fingerprint0 :: Fingerprint Source #

fingerprintFingerprints :: [Fingerprint] -> Fingerprint Source #

fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint Source #

fingerprintString :: String -> Fingerprint Source #

getFileHash :: FilePath -> IO Fingerprint Source #

Computes the hash of a given file. This function loops over the handle, running in constant memory.

Since: 4.7.0.0